Annotation parameters

Parameters that you can include in GET annotation API calls to refine results. You can include multiple query strings using an ampersand (&).

data-variant=info
data-slots=text
Adobe may add optional request and response members (name/value pairs) to existing API objects at any time and without notice or changes in versioning. Adobe recommends that you refer to the API documentation of any third-party tool you integrate with our APIs so that such additions are ignored in processing if not understood. If implemented properly, such additions are non-breaking changes for your implementation. Adobe will not remove parameters or add required parameters without first providing standard notification through release notes.

Expansion

A query string that allows you to obtain additional information around an annotation. You can include multiple expansions, separated by a comma.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/annotations?expansion=name,description,dateRange,color

IncludeType

By default, results only include annotations that the user owns. You can add this query string which allows results to include additional annotations not owned by the user.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/annotations?includeType=all,shared

Locale

A query string that returns strings localized by Adobe into the desired language. Localization does not apply to user-defined fields, such as annotation names.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/annotations?locale=en_US

Filter

You can filter annotations by modification date or annotations in a specific date range.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/annotations?filterByModifiedAfter=YYYY-MM-DDTHH:MM:SSZ&filterByDateRange=YYYY-MM-DDTHH:MM:SSZ/YYYY-MM-DDTHH:MM:SSZ

Pagination

You can paginate annotation API calls so that the result is not too large to use.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/annotations?limit=10&page=2